DELUSER(8)

NOME
deluser, delgroup - remove um utilizador ou grupo do sistema

SINOPSE
deluser [--backup] [--backup-suffix str] [--backup-to directório] [--conf ficheiro] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user
deluser [--system] [--backup] [--backup-suffix str] [--backup-to directório] [--conf ficheiro] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user
deluser --group [--conf ficheiro] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
delgroup [--system] [--conf ficheiro] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
deluser [--conf ficheiro] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] user group
deluser --help
deluser --version

DESCRIÇÃO
O deluser e o delgroup removem utilizadores e grupos do sistema de acordo com as opções de linha de comandos e informação de configuração em /etc/deluser.conf e /etc/adduser.conf.

São front ends mais específicos de Debian para os programas userdel e groupdel, que são mais agnósticos da distribuição. O deluser e o delgroup podem remover o directório home como opção ou até todos os ficheiros no sistema cujo dono é o utilizador que vai ser removido, correr um script personalizado, e têm outras funcionalidades.

Para uma lista completa e explicação de todas as opções, veja a secção OPÇÕES.

deluser e delgroup podem ser executados em um de três modos:

  Remove um utilizador
Se chamado com um argumento não-opção e sem a opção --group, deluser irá remover um utilizador não-sistema.

Por predefinição, o deluser irá remover o utilizador sem remover o directório home, o spool de mail ou quaisquer outros ficheiros no sistema cujo dono é o utilizador em questão. Remover o directório home e o spool de mail pode ser conseguido usando a opção --remove-home.

A opção --remove-all-files remove todos os ficheiros no sistema cujo dono é o utilizador em questão. Note que se activar ambas as opções, --remove-home não irá produzir efeito adicional porque todos os ficheiros incluindo o directório home e spool de mail já estão cobertos pela opção --remove-all-files.

Se deseja salvaguardar todos os ficheiros antes de os apagar, pode activar a opção --backup a qual irá criar um ficheiro nome-de-utilizador.tar(.gz|.bz2) no directório especificado pela opção --backup-to.

Por predefinição, o arquivo de salvaguarda é comprimido com gzip(1). Para mudar isto, a opção --backup-suffix pode ser definida a qualquer sufixo suportado pelo tar --auto-compress.

O deluser irá recusar remover a conta do root.

Se a opção --system for dada na linha de comandos, a operação de apagar só é realmente executada se o utilizador for um utilizador de sistema. Adicionalmente, se o utilizador não existir, nenhum valor de erro é retornado. Os scripts de maintainer do pacote Debian podem usar esta bandeira para remover utilizadores ou grupos de sistema enquanto ignoram os casos onde a remoção já ocorreu.

  Remover um grupo
Se o deluser for chamado com a opção --group, ou o delgroup for chamado, será removido um grupo. O grupo primário de um utilizador não pode ser removido. Se a opção --only-if-empty for dada, o grupo não será removido se ainda tiver algum membro.

A opção --system adiciona a mesma funcionalidade como para utilizadores, respetivamente.

  Remover um utilizador de um grupo especifico
Se chamado com dois argumentos não-opções. deluser irá remover um utilizador de um grupo especifico.

OPÇÕES
Os diferentes modos do deluser permitem diferentes opções. Se nenhum modo válido estiver listado para uma opção, ela é aceite em todos os modos.

Versões curtas para certas opções podem existir por razões históricas. Elas vão continuar a ser suportadas, mas estão removidas da documentação. Os são aconselhados a migrarem para a versão longa das opções.

--backup
    Faz salvaguarda de todos os ficheiros contidos na home do utilizador e o ficheiro mailspool para um ficheiro chamado username.tar.bz2 ou username.tar.gz. Modos válidos: deluser, deluser --system.

--backup-suffix str
    Seleciona o algoritmo de compressão para um backup de directório home. Pode ser definido para qualquer sufixo reconhecido por tar --auto-compress. A predefinição é .gz. Modos válidos: deluser, deluser --system,

--backup-to dir
    Coloca os ficheiros de backup não no directório actual mas em dir. Isto implicitamente define também --backup. (Predefinido para o directório de trabalho actual). Modos válidos: deluser, deluser --system.

--conf ficheiro
    Usa ficheiro em vez dos ficheiros predefinidos /etc/deluser.conf e /etc/adduser.conf. Podem ser dadas várias opções --conf.

--debug
    Sinónimo para --stdoutmsglevel=debug. Descontinuado.

--group
    Remove um grupo. Esta é a acção predefinida se o programa for invocado como delgroup. Modo válido: deluser.

--help
    Mostra instruções breves.

--only-if-empty
    Apenas remove se já não existir nenhum membro. Modos válidos: deluser --group, delgroup,

--quiet
    Sinónimo de --stdoutmsglevel=warn. Descontinuado.

--remove-all-files
    Remove todos os ficheiros do sistema cujo dono seja este utilizador. Nota: --remove-home não faz mais efeito. Se --backup for especificado, os ficheiros são apagados após a execução do backup. Modos válidos: deluser, deluser --system.

--remove-home
    Remove o directório home do utilizador e o seu mailspool. Se --backup for especificado, os ficheiros são apagados após a execução do backup. Modos válidos: deluser, deluser --system.

--system
    Apenas apaga se utilizador/grupo for um utilizador/grupo de sistema. Se o utilizador não existir, nenhum valor de erro é devolvido. Modos válidos: deluser, deluser --system.

--verbose
    Sinónimo de --stdoutmsglevel=info. Descontinuado.

--stdoutmsglevel prio
--stderrmsglevel prio
--logmsglevel prio
    Prioridade mínima para mensagens registadas no syslog/journal e a consola, respetivamente. Valores são trace, debug, info, warn, err, e fatal. As mensagens com a prioridade definida aqui ou superior são escritas na média respectiva. As mensagens escritas no stderr não são repetidas no stdout. Isso permite ao administrador local controla a tagarelice do adduser na consola e no registo independentemente, deixando a informação provavelmente confusa para si enquanto deixa informação útil no registo.

--version
    Mostra informação de versão e copyright.

REGISTRO↲
O deluser usa registos extensivos e configuráveis para afinar os seus detalhes às necessidades e desejos do administrador do sistema Isto funciona de modo semelhante ao adduser. Veja adduser(8) para todos os detalhes.

VALORES DE SAÍDA
Os valores de saída documentados em adduser(8) também se aplicam ao deluser.

SEGURANÇA
O deluser precisa de privilégios de root e oferece via opção de linha de comandos --conf a utilização de diferentes ficheiros de configuração. Não use o sudo(8) ou ferramentas semelhantes para dar privilégios parciais ao deluser com parâmetros de linha de comandos restritos. Isto é fácil de contornar e pode permitir que utilizadores obtenham privilégios que não é suposto terem. Se você deseja isto, consider escrever o seu próprio script envelope e dê privilégios para executar esse script.

FICHEIROS
/etc/deluser.conf Ficheiro de configuração predefinido para deluser(8) e delgroup(8)

/usr/local/sbin/deluser.local
    Adições personalizadas opcionais, veja deluser.local(8)

VEJA TAMBÉM
adduser(8), deluser.conf(5), deluser.local.conf(8), groupdel(8), userdel(8)